diff --git a/drivers/net/phy/meson-gxl.c b/drivers/net/phy/meson-gxl.c
index 515df88c585d..cdd289f95a48 100644
--- a/drivers/net/phy/meson-gxl.c
+++ b/drivers/net/phy/meson-gxl.c
@@ -130,37 +130,6 @@ static void meson_gxl_phy_disable_link(struct phy_device *phydev)
 	phy_write(phydev, 0x1E, value & ~0x50);
 }
 
-static void meson_gxl_phy_enable_wol(struct phy_device *phydev)
-{
-	const unsigned char *mac_addr;
-	int val;
-
-	/* skip if netdevice not attached */
-	if (!phydev->attached_dev)
-		return;
-
-	mac_addr = phydev->attached_dev->dev_addr;
-
-	/* Chose wol register banki, write data */
-	val = (phy_read(phydev, 0x14) | 0x800) & ~0x1000;;
-	phy_write(phydev, 0x14, val);
-
-	/* Write mac address */
-	phy_write(phydev, TSTWRITE, mac_addr[5] | mac_addr[4] << 8);
-	phy_write(phydev, 0x14, 0x4800 | 0x00);
-	phy_write(phydev, TSTWRITE, mac_addr[3] | mac_addr[2] << 8);
-	phy_write(phydev, 0x14, 0x4800 | 0x01);
-	phy_write(phydev, TSTWRITE, mac_addr[1] | mac_addr[0] << 8);
-	phy_write(phydev, 0x14, 0x4800 | 0x02);
-
-	/* Enable wol */
-	phy_write(phydev, TSTWRITE, 0x9);
-	phy_write(phydev, 0x14, 0x4800 | 0x03);
-
-	/* Enable interrupt */
-	val = phy_read(phydev, 0x1E);
-	phy_write(phydev, 0x1E, val | 0xe00);
-}
 
 static int meson_gxl_config_init(struct phy_device *phydev)
 {
@@ -187,7 +156,6 @@ static int meson_gxl_config_init(struct phy_device *phydev)
 static int meson_gxl_phy_suspend(struct phy_device *phydev)
 {
 	meson_gxl_phy_disable_link(phydev);
-	meson_gxl_phy_enable_wol(phydev);
 
 	return 0;
 }
